Index: cpukit/headers.am
===================================================================
--- cpukit/headers.am	(revision 72a4a4298487432ab4eadaa48ac2285eb08711e7)
+++ cpukit/headers.am	(revision efc227cd7dfeba75d6d68b88a7db715bc53cbdec)
@@ -238,4 +238,5 @@
 include_rtems_rtems_HEADERS += include/rtems/rtems/dpmemimpl.h
 include_rtems_rtems_HEADERS += include/rtems/rtems/event.h
+include_rtems_rtems_HEADERS += include/rtems/rtems/eventdata.h
 include_rtems_rtems_HEADERS += include/rtems/rtems/eventimpl.h
 include_rtems_rtems_HEADERS += include/rtems/rtems/eventmp.h
Index: cpukit/include/rtems/rtems/event.h
===================================================================
--- cpukit/include/rtems/rtems/event.h	(revision 72a4a4298487432ab4eadaa48ac2285eb08711e7)
+++ cpukit/include/rtems/rtems/event.h	(revision efc227cd7dfeba75d6d68b88a7db715bc53cbdec)
@@ -1,19 +1,8 @@
 /**
- * @file rtems/rtems/event.h
- *
- * @defgroup ClassicEvent Events
- *
- * @ingroup ClassicRTEMS
- * @brief Information Related to Event Manager
- *
- * This include file contains the information pertaining to the Event
- * Manager. This manager provides a high performance method of communication
- * and synchronization.
- *
- * Directives provided are:
- *
- * - send an event set to a task
- * - receive event condition
- *
+ * @file
+ *
+ * @ingroup ClassicEvent
+ *
+ * @brief Classic Event Manager API
  */
 
@@ -29,7 +18,7 @@
 #define _RTEMS_RTEMS_EVENT_H
 
+#include <rtems/rtems/options.h>
 #include <rtems/rtems/status.h>
 #include <rtems/rtems/types.h>
-#include <rtems/rtems/options.h>
 
 #ifdef __cplusplus
@@ -514,8 +503,4 @@
 /** @} */
 
-typedef struct {
-  rtems_event_set pending_events;
-} Event_Control;
-
 #ifdef __cplusplus
 }
Index: cpukit/include/rtems/rtems/eventdata.h
===================================================================
--- cpukit/include/rtems/rtems/eventdata.h	(revision efc227cd7dfeba75d6d68b88a7db715bc53cbdec)
+++ cpukit/include/rtems/rtems/eventdata.h	(revision efc227cd7dfeba75d6d68b88a7db715bc53cbdec)
@@ -0,0 +1,43 @@
+/**
+ * @file
+ *
+ * @ingroup ClassicEventImpl
+ *
+ * @brief Classic Event Manager Data Structures
+ */
+
+/* COPYRIGHT (c) 1989-2008.
+ * On-Line Applications Research Corporation (OAR).
+ *
+ * The license and distribution terms for this file may be
+ * found in the file LICENSE in this distribution or at
+ * http://www.rtems.org/license/LICENSE.
+ */
+
+#ifndef _RTEMS_RTEMS_EVENTDATA_H
+#define _RTEMS_RTEMS_EVENTDATA_H
+
+#include <rtems/rtems/event.h>
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+/**
+ * @addtogroup ClassicEventImpl
+ *
+ * @{
+ */
+
+typedef struct {
+  rtems_event_set pending_events;
+} Event_Control;
+
+/** @} */
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
+/* end of include file */
Index: cpukit/include/rtems/rtems/eventimpl.h
===================================================================
--- cpukit/include/rtems/rtems/eventimpl.h	(revision 72a4a4298487432ab4eadaa48ac2285eb08711e7)
+++ cpukit/include/rtems/rtems/eventimpl.h	(revision efc227cd7dfeba75d6d68b88a7db715bc53cbdec)
@@ -4,5 +4,5 @@
  * @ingroup ClassicEventImpl
  *
- * @brief Classic Event Implementation
+ * @brief Classic Event Manager Implementation
  */
 
@@ -18,5 +18,5 @@
 #define _RTEMS_RTEMS_EVENTIMPL_H
 
-#include <rtems/rtems/event.h>
+#include <rtems/rtems/eventdata.h>
 #include <rtems/score/thread.h>
 
Index: cpukit/include/rtems/rtems/tasks.h
===================================================================
--- cpukit/include/rtems/rtems/tasks.h	(revision 72a4a4298487432ab4eadaa48ac2285eb08711e7)
+++ cpukit/include/rtems/rtems/tasks.h	(revision efc227cd7dfeba75d6d68b88a7db715bc53cbdec)
@@ -41,9 +41,9 @@
 #include <rtems/score/scheduler.h>
 #include <rtems/score/thread.h>
-#include <rtems/rtems/types.h>
-#include <rtems/rtems/event.h>
 #include <rtems/rtems/asrdata.h>
 #include <rtems/rtems/attr.h>
+#include <rtems/rtems/eventdata.h>
 #include <rtems/rtems/status.h>
+#include <rtems/rtems/types.h>
 
 #ifdef __cplusplus
